"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const install = require("../../utils/vue/install.js");
const container = require("./src/container.js");
const aside = require("./src/aside.js");
const footer = require("./src/footer.js");
const header = require("./src/header.js");
const main = require("./src/main.js");
const ElContainer = install.withInstall(container.default, {
  Aside: aside.default,
  Footer: footer.default,
  Header: header.default,
  Main: main.default
});
install.withNoopInstall(aside.default);
install.withNoopInstall(footer.default);
const ElHeader = install.withNoopInstall(header.default);
const ElMain = install.withNoopInstall(main.default);
exports.ElContainer = ElContainer;
exports.ElHeader = ElHeader;
exports.ElMain = ElMain;
exports.default = ElContainer;
